Bug 175587 - x11/bricons: Update MASTER_SITES
Summary: x11/bricons: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 21:10 UTC by tkato432
Modified: 2013-02-04 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.18 KB, patch)
2013-01-25 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-25 21:10:06 UTC
- Update MASTER_SITES
- Fix build with clang
- Add MAKE_JOBS_SAFE

New file:
files/patch-gen.h

Remove file:
files/patch-ab
files/patch-ad
Comment 1 Edwin Groothuis freebsd_committer 2013-01-25 21:12:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-02-04 14:24:16 UTC
Author: miwi
Date: Mon Feb  4 14:24:08 2013
New Revision: 311617
URL: http://svnweb.freebsd.org/changeset/ports/311617

Log:
  - Update MASTER_SITES
  - Fix build with clang
  - Add MAKE_JOBS_SAFE
  
  PR:		175587
  Submitted by:	Ports Fury

Added:
  head/x11/bricons/files/patch-gen.h   (contents, props changed)
Deleted:
  head/x11/bricons/files/patch-ab
  head/x11/bricons/files/patch-ad
Modified:
  head/x11/bricons/Makefile   (contents, props changed)
  head/x11/bricons/pkg-descr   (contents, props changed)

Modified: head/x11/bricons/Makefile
==============================================================================
--- head/x11/bricons/Makefile	Mon Feb  4 14:22:32 2013	(r311616)
+++ head/x11/bricons/Makefile	Mon Feb  4 14:24:08 2013	(r311617)
@@ -7,24 +7,31 @@
 
 PORTNAME=	bricons
 PORTVERSION=	3.0
+DISTVERSIONPREFIX=	athena-
 PORTREVISION=	2
 CATEGORIES=	x11
-MASTER_SITES=	ftp://ftp.x.org/R5contrib/
-DISTNAME=	${PORTNAME}
-EXTRACT_SUFX=	-athena-3.0.tar.Z
+MASTER_SITES=	XCONTRIB/../R5contrib
+EXTRACT_SUFX=	.tar.Z
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Quick start up utility for applications on an X display
 
-USE_IMAKE=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
 USE_PERL5_BUILD=yes
 USE_XORG=	xaw
+USE_IMAKE=	yes
+MAKE_JOBS_SAFE=	yes
+
 MAN1=		bricons.1
 
 .include <bsd.port.pre.mk>
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/Xbricons
+	@${REINPLACE_CMD} -e \
+		's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/Xbricons
+	@${REINPLACE_CMD} -e \
+		's|^unsigned int argc|int argc|' ${WRKSRC}/main.c
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/Xbricons ${PREFIX}/lib/X11/app-defaults

Added: head/x11/bricons/files/patch-gen.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/bricons/files/patch-gen.h	Mon Feb  4 14:24:08 2013	(r311617)
@@ -0,0 +1,32 @@
+--- gen.h.orig	1993-01-22 05:27:33.000000000 +0900
++++ gen.h	2013-01-12 22:14:38.000000000 +0900
+@@ -1,6 +1,7 @@
+ static char* sccs_gen_h = "%W%%G%";
+ 
+ #include <stdio.h>
++#include <string.h>
+ #include <sys/param.h>
+ #include <sys/stat.h>
+ #include <X11/Xos.h>
+@@ -11,8 +12,8 @@
+ #include <X11/Xaw/MenuButton.h>
+ #include <X11/Shell.h>
+ #include <X11/Xaw/Cardinals.h>
+-/* #include <stdlib.h>  */
+-#include <malloc.h>
++#include <stdlib.h>
++/* #include <malloc.h> */
+ #include <ctype.h>
+ #include <unistd.h>
+ #include "xpm.h"
+@@ -76,10 +77,6 @@
+ 
+ ChildInfo	ci_ptr[MAXPROCS];
+ 
+-/* forward declarations */
+-int	fprintf(), ungetc(), fclose(), fscanf();
+-char	*strcpy(), *getenv(), *malloc(); 
+-
+ typedef int     bool_t;
+ 
+ Pixmap  pix, pix2;

Modified: head/x11/bricons/pkg-descr
==============================================================================
--- head/x11/bricons/pkg-descr	Mon Feb  4 14:22:32 2013	(r311616)
+++ head/x11/bricons/pkg-descr	Mon Feb  4 14:24:08 2013	(r311617)
@@ -1,7 +1,6 @@
-       Bricons program allows the user to quickly start up appli-
-       cations by selecting the appropriate button from the  dis-
-       play  and pressing the left mouse button.  A maximum of up
-       to sixteen main menu buttons can be displayed.  Each  main
-       menu button can launch an application or pop-up a sub menu
-       containing more buttons. The buttons can be represented as
-       a bitmap, text or a colour icon (i.e Pixmap).
+Bricons program allows the user to quickly start up applications by
+selecting the appropriate button from the display and pressing the left
+mouse button. A maximum of up to sixteen main menu buttons can be
+displayed. Each main menu button can launch an application or pop-up a
+sub menu containing more buttons. The buttons can be represented as a
+bitmap, text or a colour icon (i.e Pixmap).
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2013-02-04 14:24:18 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2013-02-04 14:24:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!